Debian 11 sur HP530 demande processeur 686?

Tags: #<Tag:0x00007ff8ea5c5f18>

Bonjour.
Je rencontre un petit soucis avec l’installation de Debian 11 sur mon « vieil » ordi portable HP530. :thinking: Je me suis servi du fichier d’installation « debian-11.6.0-amd64-netinst.iso ».

Antérieurement, j’ai toujours installé les versions 64 bits sur cette machine. Cela me permettait de continuer à utiliser les logiciels 64 bits que j’utilise habituellement.

Mais maintenant … Debian 11 « demande un processeur 686 » !?

J’ai la solution d’installer une autre déclinaison de Debian comme Mint, par exemple. Mais ça me fera changer bien de mes habitudes.

Debian 11, ne fonctionne-t-il plus que sur des machines équipée d’un processeur 680 ou bien y a-t-il une version de Debian 11 qui voudra bien s’installer sur mon « antique » :upside_down_face:machine ?

Merci.

C’est à dire, car après quelques recherches nous parlons bien d’un ordinateur portable HP530 équipé d’un processeur Intel core 2 Duo T5200 qui est lui 64bits éligible.

Bonjour Clochette.
Oui, c’est bien cela.
Lors de ma tentative d’installation de Debian 11 via un fichier Netinstall, un message d’alerte m’a été affiché me disant que Debian 11 demande un processeur de type 686. Et l’installation s’arrête là.

C’est là mon incompréhension car j’installe les précédentes versions de Debian depuis que j’ai cet ordi chez moi sans aucun problème jusqu’à Debian 10.

C’est étrange, je n’ai jamais rencontré ce type de comportement … l’image iso qui t’a servi à l’installation, tu l’as récupéré sur le site officiel ?

https://www.debian.org/CD/netinst/

Bonjour

Certains HP530 sont équipés de microprocesseurs 32 bits,
comme par exemple l’Intel T2050 ou T2300 ou Celeron M410

C’est pour ça qu’il faut les références complètes de la machine
afin de savoir vraiment de quelle machine il s’agit,
comme par exemple :

HP 530-GH635AT
HP 530-GH640AT


Si ta machine est équipée d’un microprocesseur de type i386 <=> 32 bits,
pour créer ta clef USB d’installation, utilise le fichier image ISO suivant :
firmware-11.6.0-i386-netinst.iso (572MB)

Bonjour.

@ MicP : j’ai téléchargé Deebian netinstall là.

Les références de ma machine :
HP 530
SN : CND80806F6
p/n : KP479AA#UUG
H530FFUT2600W512XCe10Aa
Intel Centrino inside

Sur le processeur, il y a un"capteur de chaleur" avec les mentions ATO29000100 ZH 1-2.
La RAM :
SPS : 451155-001 1024
Date code : 7J0824
CT : R84607JTFVPQ86

Toutes les versions antérieures de Debian se sont bien installées en 64bits et les logiciels que j’utilise sont tous en 64 bits également et fonctionnent très bien (Gimp, Inkscape, Blender, LibreOffice, …)

J’ai lancé un lspci sur mon ordi portable :

~$ lscpu
Architecture :                          i686
Mode(s) opératoire(s) des processeurs : 32-bit
Boutisme :                              Little Endian
Tailles des adresses:                   32 bits physical, 32 bits virtual
Processeur(s) :                         2
Liste de processeur(s) en ligne :       0,1
Thread(s) par cœur :                    1
Cœur(s) par socket :                    2
Socket(s) :                             1
Identifiant constructeur :              GenuineIntel
Famille de processeur :                 6
Modèle :                                14
Nom de modèle :                         Intel(R) Core(TM) Duo CPU      T2600  @ 
                                    2.16GHz
Révision :                              12
Vitesse du processeur en MHz :          997.520
Vitesse maximale du processeur en MHz : 2167,0000
Vitesse minimale du processeur en MHz : 1000,0000
BogoMIPS :                              4322.51
Cache L1d :                             64 KiB
Cache L1i :                             64 KiB
Cache L2 :                              2 MiB
Vulnerability Itlb multihit:            KVM: Mitigation: VMX unsupported
Vulnerability L1tf:                     Mitigation; PTE Inversion
Vulnerability Mds:                      Vulnerable: Clear CPU buffers attempted,
                                     no microcode; SMT disabled
Vulnerability Meltdown:                 Mitigation; PTI
Vulnerability Mmio stale data:          Unknown: No mitigations
Vulnerability Retbleed:                 Not affected
Vulnerability Spec store bypass:        Not affected
Vulnerability Spectre v1:               Mitigation; usercopy/swapgs barriers and
                                     __user pointer sanitization
Vulnerability Spectre v2:               Mitigation; Retpolines, STIBP disabled, 
                                    RSB filling, PBRSB-eIBRS Not affected
Vulnerability Srbds:                    Not affected
Vulnerability Tsx async abort:          Not affected
Drapeaux :                              fpu vme de pse tsc msr pae mce cx8 apic 
                                    sep mtrr pge mca cmov clflush dts acpi m
                                    mx fxsr sse sse2 ht tm pbe nx constant_t
                                    sc arch_perfmon bts cpuid aperfmperf pni
                                     monitor est tm2 xtpr pdcm pti dtherm

Merci pour votre aide.

C’est sans appel, le processeur d’après intel n’accepte pas les instructions 64bits :

Maintenant comment des software en 64bits ont pu fonctionner sur une machine qui manifestement ne supporte pas le 64 bits c’est un mystère.

Merci Clochette.

Maintenant, il me faut trouver une Debian 1 en 32 bit !?

Ça existe ?

@MicP t’a déjà fourni un lien pour :wink:

Merci.
J’essaie ça.
A+